Adopt catalog glossary groups or terms
curl --request POST \
--url https://api.example.com/api/registry/ontologies/import/catalog \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"node_urns": [
"<string>"
],
"term_urns": [
"<string>"
]
}
'import requests
url = "https://api.example.com/api/registry/ontologies/import/catalog"
payload = {
"node_urns": ["<string>"],
"term_urns": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({node_urns: ['<string>'], term_urns: ['<string>']})
};
fetch('https://api.example.com/api/registry/ontologies/import/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/registry/ontologies/import/catalog",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'node_urns' => [
'<string>'
],
'term_urns' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/registry/ontologies/import/catalog"
payload := strings.NewReader("{\n \"node_urns\": [\n \"<string>\"\n ],\n \"term_urns\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/registry/ontologies/import/catalog")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"node_urns\": [\n \"<string>\"\n ],\n \"term_urns\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/registry/ontologies/import/catalog")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"node_urns\": [\n \"<string>\"\n ],\n \"term_urns\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"spec": {
"root_name": "",
"domain_urn": "<string>",
"stewards": [
"<string>"
],
"groups": [
{
"id": "<string>",
"name": "<string>",
"description": "",
"parent": "<string>",
"catalog_urn": "<string>"
}
],
"concepts": [
{
"id": "<string>",
"name": "<string>",
"group": "<string>",
"definition": "",
"synonyms": [
"<string>"
],
"properties": {},
"catalog_urn": "<string>",
"source_iri": "<string>"
}
],
"relations": [
{
"source": "<string>",
"kind": "is_a",
"target": "<string>",
"label": "<string>"
}
],
"mappings": [
{
"concept": "<string>",
"table": "<string>",
"column": "<string>",
"note": ""
}
],
"source": {}
},
"warnings": [
"<string>"
],
"counts": {}
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Ontologies
Adopt catalog glossary groups or terms
Read glossary groups (and everything under them) and/or single glossary terms from the data catalog as a draft spec. Groups are optional: terms alone are fine. Terms keep their URNs. Nothing is stored.
POST
/
api
/
registry
/
ontologies
/
import
/
catalog
Adopt catalog glossary groups or terms
curl --request POST \
--url https://api.example.com/api/registry/ontologies/import/catalog \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"node_urns": [
"<string>"
],
"term_urns": [
"<string>"
]
}
'import requests
url = "https://api.example.com/api/registry/ontologies/import/catalog"
payload = {
"node_urns": ["<string>"],
"term_urns": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({node_urns: ['<string>'], term_urns: ['<string>']})
};
fetch('https://api.example.com/api/registry/ontologies/import/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/registry/ontologies/import/catalog",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'node_urns' => [
'<string>'
],
'term_urns' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/registry/ontologies/import/catalog"
payload := strings.NewReader("{\n \"node_urns\": [\n \"<string>\"\n ],\n \"term_urns\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/registry/ontologies/import/catalog")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"node_urns\": [\n \"<string>\"\n ],\n \"term_urns\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/registry/ontologies/import/catalog")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"node_urns\": [\n \"<string>\"\n ],\n \"term_urns\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"spec": {
"root_name": "",
"domain_urn": "<string>",
"stewards": [
"<string>"
],
"groups": [
{
"id": "<string>",
"name": "<string>",
"description": "",
"parent": "<string>",
"catalog_urn": "<string>"
}
],
"concepts": [
{
"id": "<string>",
"name": "<string>",
"group": "<string>",
"definition": "",
"synonyms": [
"<string>"
],
"properties": {},
"catalog_urn": "<string>",
"source_iri": "<string>"
}
],
"relations": [
{
"source": "<string>",
"kind": "is_a",
"target": "<string>",
"label": "<string>"
}
],
"mappings": [
{
"concept": "<string>",
"table": "<string>",
"column": "<string>",
"note": ""
}
],
"source": {}
},
"warnings": [
"<string>"
],
"counts": {}
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Was this page helpful?

